Skip to main content


Eclipse Community Forums
Forum Search:

Search      Help    Register    Login    Home
Home » Eclipse Projects » BIRT » Birt upgrade 2.5.2 > 4.5.0, reports no longer work(I've tracked it down a bit...)
Birt upgrade 2.5.2 > 4.5.0, reports no longer work [message #1751480] Tue, 10 January 2017 16:27
John Zz is currently offline John ZzFriend
Messages: 1
Registered: January 2017
Junior Member
After an upgrade from 2.5.2. to 4.5.0, I found many of the rptdesign files on our environment do not work.

The main culprit revolves around this :

org.eclipse.birt.report.engine.api.EngineException: A BIRT exception occurred. See next exception for more information.
ReferenceError: "Double" is not defined.

// problem line
<expression name="expression" type="javascript">"$ " + (Double.parseDouble(dataSetRow["theRowName"]) * -1)</expression>


In the report it is doing a Double.parseDouble (java style) which is not imported out of the box anymore.

If I change this to a java.lang.Double.parseDouble , it works fine. I understand why this may have been removed, it could also be that we manually added it somehow on the 2.5.2 build, it was just so long ago and I wasn't involved.

I am in control of everything but the individual rptdesign files. I'd like them to be backwards compatible. Is there a way for me to import a set of java classes via Rhino (I'm assuming) that would not involve changing the rpt design files?
Previous Topic:BIRT Pojo Data Source JAR Caching Problem?
Next Topic:CrossTab:Append % in measure
Goto Forum:
  


Current Time: Sun Aug 18 02:47:24 GMT 2019

Powered by FUDForum. Page generated in 0.02009 seconds
.:: Contact :: Home ::.

Powered by: FUDforum 3.0.2.
Copyright ©2001-2010 FUDforum Bulletin Board Software

Back to the top